summaryrefslogtreecommitdiffstats
path: root/network/mod_python
diff options
context:
space:
mode:
author Ben-Richard Ebbesvik <brebbesvik@yahoo.no>2010-05-13 00:37:19 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:37:19 +0200
commit2a693e3c85d226125082372c00358d4a7485ce06 (patch)
tree64c67ee87b82d5fbd68eddfcdde750f4df66bb50 /network/mod_python
parent3befa4be87073136f51ace5ecb02c722840e7eca (diff)
downloadslackbuilds-2a693e3c85d226125082372c00358d4a7485ce06.tar.gz
slackbuilds-2a693e3c85d226125082372c00358d4a7485ce06.tar.xz
network/mod_python: Updated for version 3.3.1
Diffstat (limited to 'network/mod_python')
-rw-r--r--network/mod_python/mod_python.SlackBuild14
-rw-r--r--network/mod_python/mod_python.info2
-rw-r--r--network/mod_python/slack-desc16
3 files changed, 18 insertions, 14 deletions
diff --git a/network/mod_python/mod_python.SlackBuild b/network/mod_python/mod_python.SlackBuild
index 9b0c2d0439..0700fdd20b 100644
--- a/network/mod_python/mod_python.SlackBuild
+++ b/network/mod_python/mod_python.SlackBuild
@@ -26,12 +26,14 @@ elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$PRGNAM-$VERSION.tgz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -45,10 +47,10 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--with-apxs=/usr/sbin/apxs \
- || exit 1
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
@@ -65,4 +67,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/mod_python/mod_python.info b/network/mod_python/mod_python.info
index afe818e8d3..fb05137282 100644
--- a/network/mod_python/mod_python.info
+++ b/network/mod_python/mod_python.info
@@ -2,7 +2,9 @@ PRGNAM="mod_python"
VERSION="3.3.1"
HOMEPAGE="http://www.modpython.org/"
DOWNLOAD="http://www.powertech.no/apache/dist/httpd/modpython/mod_python-3.3.1.tgz"
+DOWNLOAD_x86_64=""
MD5SUM="a3b0150176b726bd2833dac3a7837dc5"
+MD5SUM_x86_64=""
MAINTAINER="Ben-Richard Ebbesvik"
EMAIL="brebbesvik@yahoo.no"
APPROVED="dsomero"
diff --git a/network/mod_python/slack-desc b/network/mod_python/slack-desc
index bc32a8bde3..928e5b35f0 100644
--- a/network/mod_python/slack-desc
+++ b/network/mod_python/slack-desc
@@ -7,13 +7,13 @@
|-----handy-ruler------------------------------------------------------|
mod_python: mod_python (Python module for Apache)
-mod_python:
+mod_python:
mod_python: Python module for Apache.
-mod_python:
+mod_python:
mod_python: http://httpd.apache.org/modules/python-download.cgi
-mod_python:
-mod_python:
-mod_python:
-mod_python:
-mod_python:
-mod_python:
+mod_python:
+mod_python:
+mod_python:
+mod_python:
+mod_python:
+mod_python: